#543 Mails get marked as unread when moved

v4.3.4
closed-fixed
nobody
None
5
2014-06-03
2013-10-29
No

When I read a mail, mark it as read, and then move it to another folder, davmail moves it and then it is marked as unread again.

So from KMail, I move the email. Then I synchronize, and KMail uploads the messages to the new folder. Then KMail starts downloading messages and message states, causing those emails to become marked as unread.

I use KMail with disconnected IMAP as the protocol.

A similar thing happens when KMail puts sent messages into the davmail Sent folder, or when I delete a message and it is moved to the Trash folder.

Discussion

  • Mickael Guessant

    Looks like a KMail bug... Does it support IMAP MOVE ?

    First step would be to check davmail.log to get command sequence and understand what happens

     
  • Charles Samuels

    Charles Samuels - 2013-11-05

    KMail appears (?) to not use IMAP MOVE.

    It appears like the bug is caused by if The Client creates an email on the Server (davmail) like so:

    2013-11-04 17:39:35,891 DEBUG [ImapConnection-46615] davmail - < 68 APPEND "test" (\SEEN) {1381}

    Then davmail disregards that \SEEN flag, and sends it back unSEEN immediately later on:

    2013-11-04 17:48:52,240 DEBUG [ImapConnection-46677] davmail.imap.ImapConnection - * 1 FETCH (UID 11 FLAGS ()

    Then when I try to mark it as SEEN:

    2013-11-04 17:48:59,044 DEBUG [ImapConnection-46677] davmail - < 32 UID STORE 11 -FLAGS.SILENT (\SEEN \ANSWERED \FLAGGED \DRAFT KMAILFORWARDED KMAILTODO KMAILWATCHED KMAILIGNORED $FORWARDED $TODO $WATCHED $IGNORED)
    2013-11-04 17:48:59,056 DEBUG [ImapConnection-46677] davmail - > * 1 FETCH (UID 11 FLAGS ())
    2013-11-04 17:48:59,056 DEBUG [ImapConnection-46677] davmail - > 32 OK STORE completed
    2013-11-04 17:48:59,164 DEBUG [ImapConnection-46677] davmail - < 33 UID STORE 11 +FLAGS.SILENT (\SEEN)

    KMail likes it just fine.

    I have attached a log. I have marked the log with my comments as lines starting with %%%. I have also removed message content and any identifying information.

    Hope this is helpful.

    Thank you for an invaluable tool.

     
  • Mickael Guessant

    Working fine here:
    < 16 append "aaa" (\Seen NonJunk) "04-Nov-2013 16:30:23 +0100" {18545}

    • send literal data
      16 OK APPEND completed
      < 17 noop
      noop on aaa
    • 3 EXISTS
    • 0 RECENT
      17 OK noop completed
      < 18 UID fetch 2:* (FLAGS)
    • 2 FETCH (UID 2 FLAGS (\Seen \Draft))
    • 3 FETCH (UID 3 FLAGS (\Seen))
      18 OK UID FETCH completed

    => New message 3 is seen

    Are you in EWS or WebDav mode ?
    On which Exchange version ?

     
  • Charles Samuels

    Charles Samuels - 2013-11-05

    Version: 14.1.339.1 (Exchange 2010?)

    I don't know to tell if it's EWS or WebDav, can you tell me how to check?

    davmail.enableEws=auto
    davmail.url=https\://mycompanyname.com/owa/

     
  • Mickael Guessant

    • status: open --> open-fixed
     
  • Mickael Guessant

    • status: open-fixed --> closed-fixed
     
  • Mickael Guessant

    released in 4.5.0

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks